Subject: Re: linux-next: Fixes tag needs some work in the block tree

From: Jens Axboe <[email-masked]>
Date: Tue, 15 Aug 2023 10:20:39 -0600

On 8/15/23 10:17 AM, Song Liu wrote:
> On Wed, Aug 16, 2023 at 12:07?AM Jens Axboe <[email-masked]> wrote:
>>
>> On 8/15/23 9:58 AM, Song Liu wrote:
>>> On Tue, Aug 15, 2023 at 11:08?PM Jens Axboe <[email-masked]> wrote:
>>>>
>>>> On 8/14/23 9:21 PM, Yu Kuai wrote:
>>>>> Hi,
>>>>>
>>>>> ? 2023/08/15 7:19, Stephen Rothwell ??:
>>>>>> Hi all,
>>>>>>
>>>>>> In commit
>>>>>>
>>>>>>    71070e7bd25d ("md/raid10: fix a 'conf->barrier' leakage in raid10_takeover()")
>>>>>>
>>>>>> Fixes tag
>>>>>>
>>>>>>    Fixes: 4d27e927344a ("md: don't quiesce in mddev_suspend()")
>>>>>>
>>>>>> has these problem(s):
>>>>>>
>>>>>>    - Target SHA1 does not exist
>>>>>
>>>>> Sorry about this, the commit was picked from previous md-next branch,
>>>>> and I didn't know that it will change...
>>>>
>>>> It's most likely not your fault, I'm guessing Song rebased that branch
>>>> and this is why the sha changed. Song?
>>>
>>> Yeah, it is my fault. I am really sorry for this issue.
>>>
>>>>
>>>>> Is there any way that I can fix this ?
>>>>
>>>> Only way to fix this is if I rewind my branch and Song updates his
>>>> branch to not have this issue, and then sends a new pull request.
>>>
>>> Yes please. Let's fix this.
>>
>> Please send a new one, I've dropped the old one.
> 
> Is this the for-6.6/block branch? I haven't seen the change yet. The top
> commit on the branch (as I see) is
> 
> 306d74055754 ("ublk: Switch to memdup_user_nul() helper")

Where are you looking? It's at:

commit 66a6a5d0ec852eaced589da066376e69397cd71e (origin/for-6.6/block, for-6.6/block)
Author: Ruan Jinjie <[email-masked]>
Date:   Tue Aug 15 19:48:14 2023 +0800

    ublk: Switch to memdup_user_nul() helper

since about 15 min ago.

-- 
Jens Axboe